# normal_generator< T > Class Template Reference

The class normal_generator can be used in the STL generate function to easily generate gaussian distributed floats and doubles. More...

`#include <rnd_generators.h>`

List of all members.

## Public Member Functions

| normal_generator (T _stdev=T(1.0), eoRng &_rng=rng)
T | operator() (void)

## Private Attributes

T | stdev
eoRng & | normal

## Detailed Description

### template<class T = double>
class normal_generator< T >

The class normal_generator can be used in the STL generate function to easily generate gaussian distributed floats and doubles.

The user can supply a standard deviation which defaults to 1.

Definition at line 139 of file rnd_generators.h.

The documentation for this class was generated from the following file:

- rnd_generators.h